Add Whitelabel User
curl --request POST \
--url https://sitegpt.ai/api/v0/w/brands/{brandId}/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "user@example.com",
"chatbotsQuota": 1,
"linksQuota": 100,
"filesQuota": 25,
"combinedMessagesQuota": 250,
"membersQuota": 2
}
'import requests
url = "https://sitegpt.ai/api/v0/w/brands/{brandId}/users"
payload = {
"email": "user@example.com",
"chatbotsQuota": 1,
"linksQuota": 100,
"filesQuota": 25,
"combinedMessagesQuota": 250,
"membersQuota": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'user@example.com',
chatbotsQuota: 1,
linksQuota: 100,
filesQuota: 25,
combinedMessagesQuota: 250,
membersQuota: 2
})
};
fetch('https://sitegpt.ai/api/v0/w/brands/{brandId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Added new whitelabel user of your brand successfully",
"data": {
"whitelabelUser": {
"id": "332153612345906321",
"brandId": "332110515123458123",
"email": "user@example.com",
"name": "",
"profilePic": "",
"chatbotsQuota": 1,
"linksQuota": 10,
"filesQuota": 5,
"combinedMessagesQuota": 10,
"membersQuota": 1,
"createdAt": "2024-02-10T14:30:21.828601Z",
"updatedAt": "2024-02-10T14:30:21.828601Z"
}
}
}{
"success": false,
"message": "Failed to create the new whitelabel user",
"data": null,
"error": {
"code": "REQUEST_VALIDATION_FAILED",
"message": "Request body is not valid",
"details": [
{
"path": [
"chatbotsQuota"
],
"message": "Required"
}
]
}
}{
"success": false,
"message": "Failed to add a new whitelabel user to the brand",
"data": null,
"error": {
"code": "API_KEY_NOT_VALID",
"message": "Authorization header does not contain valid API key",
"details": null
}
}{
"success": false,
"message": "Failed to add a new whitelabel user to the brand",
"data": null,
"error": {
"code": "ADD_WHITELABEL_USER_FORBIDDEN",
"message": "You are not authorized to add a whitelabel user to the brand"
}
}{
"success": false,
"message": "Failed to add a new whitelabel user to the brand",
"data": null,
"error": {
"code": "ADD_WHITELABEL_USER_BRAND_NOT_FOUND",
"message": "You don't have a whitelabel brand"
}
}{
"success": false,
"message": "Failed to add a new whitelabel user to the brand",
"data": null,
"error": {
"code": "REQUEST_METHOD_NOT_ALLOWED",
"message": "PUT request method is not allowed"
}
}{
"success": false,
"message": "Failed to add a new whitelabel user to the brand",
"data": null,
"error": {
"code": "ADD_WHITELABEL_USER_FAILED",
"message": "Some technical error has occurred !!"
}
}Whitelabel (Deprecated)
Add Whitelabel User
deprecated
Add a new user to your whitelabel brand.
Pre-requisities:
- You have to be a whitelabel customer in SiteGPT.
- You need to create and configure your own brand in SiteGPT dashboard.
POST
/
v0
/
w
/
brands
/
{brandId}
/
users
Add Whitelabel User
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the whitelabel brand to which user belongs to
Body
application/json
Request body to add a new whitelabel user to your brand.
Email of the user you want to add to your whitelabel brand
Chatbots quota to be assigned to the user
Required range:
x >= 0Links quota to be assigned to the user
Required range:
x >= 0Files quota to be assigned to the user
Required range:
x >= 0Combined messages quota to be assigned to the user
Required range:
x >= 0Members quota to be assigned to the user
Required range:
x >= 0Was this page helpful?
⌘I